Package: org.codehaus.groovy.runtime.memoize

## [Java] Interface ValueConvertable<V1, V2>

-     public interface ValueConvertable<V1, V2>

  To support caches whose values are convertable, e.g. SoftReference, WeakReference

  Type Parameters:
    `V1` - source value type, e.g. SoftReference, WeakReference
    `V2` - target value type, e.g. value that SoftReference or WeakReference referenced

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public V2` | `convertValue(V1 value)` convert the original value to the target value

- - ### Method Detail

    - #### public V2 convertValue(V1 value)

      convert the original value to the target value

      Parameters:
        `value` - the original value
      Returns:
        the converted value